"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BatchExecuteStatementInput_1 = require("../shapes/BatchExecuteStatementInput");
const BatchExecuteStatementOutput_1 = require("../shapes/BatchExecuteStatementOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
const StatementTimeoutException_1 = require("../shapes/StatementTimeoutException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchExecuteStatement = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchExecuteStatement",
    http: {
        method: "POST",
        requestUri: "/BatchExecute"
    },
    input: {
        shape: BatchExecuteStatementInput_1.BatchExecuteStatementInput
    },
    output: {
        shape: BatchExecuteStatementOutput_1.BatchExecuteStatementOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        },
        {
            shape: StatementTimeoutException_1.StatementTimeoutException
        }
    ]
};
//# sourceMappingURL=BatchExecuteStatement.js.map