"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ExecuteSqlInput_1 = require("../shapes/ExecuteSqlInput");
const ExecuteSqlOutput_1 = require("../shapes/ExecuteSqlOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ExecuteSql = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ExecuteSql",
    http: {
        method: "POST",
        requestUri: "/ExecuteSql"
    },
    input: {
        shape: ExecuteSqlInput_1.ExecuteSqlInput
    },
    output: {
        shape: ExecuteSqlOutput_1.ExecuteSqlOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        }
    ]
};
//# sourceMappingURL=ExecuteSql.js.map